List file citations
curl --request GET \
--url https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/{file}/versions/{version}/citations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/{file}/versions/{version}/citations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/{file}/versions/{version}/citations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/{file}/versions/{version}/citations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/{file}/versions/{version}/citations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/{file}/versions/{version}/citations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/{file}/versions/{version}/citations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"schema": "penumbra.file-version-citations",
"version": 1,
"file_id": "<string>",
"version_id": "<string>",
"truncated": true,
"citations": [
{
"citation_id": "<string>",
"status": "in_graph",
"resource_kind": "node",
"resource_id": "<string>",
"item_handle": "<string>",
"type_name": "<string>",
"name": "<string>",
"source": {
"id": "<string>",
"name": "<string>",
"type_name": "<string>"
},
"target": {
"id": "<string>",
"name": "<string>",
"type_name": "<string>"
},
"review_id": "<string>",
"review_name": "<string>",
"quote": "<string>",
"start_byte": 0,
"end_byte_exclusive": 0,
"quote_digest": "<string>",
"chunk_id": "<string>",
"note": "<string>",
"page": 0,
"highlight": {
"match": "exact",
"boxes": [
{
"page": 4503599627370496,
"x": 0.5,
"y": 0.5,
"w": 0.5,
"h": 0.5
}
]
}
}
]
}
}Files
List file citations
List the graph citations that point into one File version.
List file citations
curl --request GET \
--url https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/{file}/versions/{version}/citations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/{file}/versions/{version}/citations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/{file}/versions/{version}/citations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/{file}/versions/{version}/citations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/{file}/versions/{version}/citations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/{file}/versions/{version}/citations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files/{file}/versions/{version}/citations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"schema": "penumbra.file-version-citations",
"version": 1,
"file_id": "<string>",
"version_id": "<string>",
"truncated": true,
"citations": [
{
"citation_id": "<string>",
"status": "in_graph",
"resource_kind": "node",
"resource_id": "<string>",
"item_handle": "<string>",
"type_name": "<string>",
"name": "<string>",
"source": {
"id": "<string>",
"name": "<string>",
"type_name": "<string>"
},
"target": {
"id": "<string>",
"name": "<string>",
"type_name": "<string>"
},
"review_id": "<string>",
"review_name": "<string>",
"quote": "<string>",
"start_byte": 0,
"end_byte_exclusive": 0,
"quote_digest": "<string>",
"chunk_id": "<string>",
"note": "<string>",
"page": 0,
"highlight": {
"match": "exact",
"boxes": [
{
"page": 4503599627370496,
"x": 0.5,
"y": 0.5,
"w": 0.5,
"h": 0.5
}
]
}
}
]
}
}Operation ID:
http.files.citations
GET /v1/orgs/{org}/projects/{project}/files/{file}/versions/{version}/citations
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
2XX - application/json
Success.
Show child attributes
Show child attributes